#!/usr/bin/perl
#Ray Bryant (AMD) 2006/09/10

open(TMP,">renormalize.tmp.$$") || die "Couldn't open renormalize.tmp.$$ for writing.\n";

$sum = 0;

while(<STDIN>) {
	chop $_;
	@split = split(/ +/,$_);
	$samples = $split[0];
	if (! ($samples =~ /^[0-9]*$/)) {
		next;
	}
	$sum += $samples;
	print TMP "$_\n";
}

# print STDERR "sum=$sum\n";

close TMP;

open(TMP,"renormalize.tmp.$$") || die "Couldn't open renormalize.tmp.$$ for reading.\n";

$cum_percent = 0;
while(<TMP>) {
	# chop $_;
	@split = split(/ +/,$_);
	$samples = $split[0];
	$proc = $split[4];
	$percent = ($samples/$sum)*100.0;
	$cum_percent += $percent;
	write;
}
close TMP;
unlink "renormalize.tmp.$$";

format STDOUT =
@##########   @###.##     @###.##    @<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
$samples, $percent, $cum_percent, $proc
.
